Name: libxml++
Version: 1.0.5
Release: alt1

Summary: libxml++ is a C++ wrapper for the libxml XML parser library.
License: LGPL
Group: System/Libraries
Url: http://libxmlplusplus.sourceforge.net/

Source0: http://ftp.gnome.org/pub/GNOME/sources/libxml++/1.0/%name-%version.tar.bz2

Packager: Igor Zubkov <icesik@altlinux.ru>

# Automatically added by buildreq on Sat Dec 31 2005
BuildRequires: gcc-c++ glibc-devel-static libstdc++-devel libxml2-devel pkg-config zlib-devel

%description
libxml++ is a C++ wrapper for the libxml XML parser library.
It's original author is Ari Johnson and it is currently maintained by Christophe de Vienne and Murray Cumming.

%package devel
Summary: Development files for libxml++
Group: Development/C
Requires: %name = %version-%release

%description devel
libxml++ is a C++ wrapper for the libxml XML parser library.
It's original author is Ari Johnson and it is currently maintained by Christophe de Vienne and Murray Cumming.

This package contains the libraries, include and other files.

%package devel-static
Summary: Static library for building static applications with libxml++
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
libxml++ is a C++ wrapper for the libxml XML parser library.
It's original author is Ari Johnson and it is currently maintained by Christophe de Vienne and Murray Cumming.

This package contains the static library you can use to develop
statically linked applications.

%prep
%setup -q

%build
%__autoreconf -fiv
%configure \
	--disable-rpath
%make_build

%install
%make_install DESTDIR=%buildroot install

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc AUTHORS ChangeLog README
%_libdir/libxml++-1.0.so.*

%files devel
%dir %_includedir/libxml++-1.0/libxml++/
%_includedir/libxml++-1.0/libxml++/
%_libdir/lib*.a
%_libdir/lib*.so
%_libdir/pkgconfig/libxml++-1.0.pc

%files devel-static
%_libdir/lib*.a

%changelog
* Sat Dec 31 2005 Igor Zubkov <icesik@altlinux.ru> 1.0.5-alt1
- 1.0.5
- spec clean and update buildrequires
- #5599

* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.0.4-alt1.1
- Rebuilt with libstdc++.so.6.

* Mon Oct 18 2004 Dmitriy Porollo <spider@altlinux.ru> 1.0.4-alt1
- 1.0.4-alt1 release
